%global commitdate 20160314
%global upstreamcommit c00c7d3d0bf8a79feb79385bc970f30620a970a4
%global shortcommit %(c=%{upstreamcommit}; echo ${c:0:7})

Name: lrbd
Version: 1.0.2
Release: 3.%{commitdate}git%{shortcommit}%{?dist}
Summary: Configure iSCSI access to Ceph rbd images
License: LGPLv2+
URL: https://github.com/SUSE/lrbd
Source0: https://github.com/SUSE/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

Patch0001: 0001-pylint-corrections.patch
Patch0002: 0002-Exclude-cache-tier-pools.patch
Patch0003: 0003-Allocate-LUNs-in-the-correct-order.patch
Patch0004: 0004-Fix-breaking-samples.patch
Patch0005: 0005-lrbd-redhatify-docs-and-strings.patch
Patch0006: 0006-lrbd-only-use-iblock.patch
Patch0007: 0007-lrbd-delete-0.0.0.0-if-not-needed.patch
Patch0008: 0008-lrbd-use-clearconfig-for-clear-command.patch
Patch0009: 0009-lrbd-fix-default-0.0.0.0-portal-handling.patch

BuildArch: noarch

Requires: python-netifaces
Requires: python-rados
Requires: python-rbd
Requires: ceph-common
Requires: targetcli >= 2.1
Requires(preun):  systemd
Requires(postun): systemd
Requires(post):   systemd

BuildRequires: systemd
BuildRequires: python2-devel
BuildRequires: python-mock
BuildRequires: python-netifaces
BuildRequires: python-nose
BuildRequires: python-rados
BuildRequires: python-rbd

%description
This utility creates, modifies and retrieves a centralized configuration from
Ceph for configuring iSCSI access on a host.

%prep
%autosetup -p1

%build
for f in man/lrbd.*; do
  gzip ${f}
done

%check
# Tests are broken upstream. https://github.com/SUSE/lrbd/issues/6
make tests || :

%install
# Makefile has no "install" target. Just copy files to %%{buildroot}.
install -p -D -m 755 lrbd %{buildroot}%{_sbindir}/lrbd
install -p -D -m 644 man/lrbd.conf.5.gz %{buildroot}%{_mandir}/man5/lrbd.conf.5.gz
install -p -D -m 644 man/lrbd.8.gz %{buildroot}%{_mandir}/man8/lrbd.8.gz
install -p -D -m 644 sysconfig/lrbd %{buildroot}%{_sysconfdir}/sysconfig/lrbd
install -p -D -m 644 systemd/lrbd.service %{buildroot}%{_unitdir}/lrbd.service

%post
%systemd_post lrbd.service

%preun
%systemd_preun lrbd.service

%postun
%systemd_postun lrbd.service

%files
%license LICENSE
%doc README.md samples
%{_sbindir}/lrbd
%{_mandir}/man5/lrbd.conf.*
%{_mandir}/man8/lrbd.*
%{_unitdir}/lrbd.service
%config(noreplace) %{_sysconfdir}/sysconfig/lrbd

%changelog
* Mon Apr 04 2016 Boris Ranto <branto@redhat.com> 1.0.2-3.20160314gitc00c7d3
- lrbd: fix default 0.0.0.0 portal handling

* Mon Mar 14 2016 Ken Dreyer <kdreyer@redhat.com> - 1.0.2-2.20160314gitc00c7d3
- Initial package (rhbz#1196142)
- Add all patches from Git master upstream
- Add Mike Christie's Red Hat patches
- Unconditionally pass tests
